Creating Expo Libraries

Hi! I’m the author of react-native-blurhash and react-native-google-nearby-messages, which are both native modules for react native, meaning they cannot be used in Expo.
I was wondering how I could “port” those modules to expo, or what one would need to do in order to get those modules working for expo? I’m not even sure if that would be possible, since they contain native code and if I remember correctly last time I played around with expo I didn’t have to build anything, it’s just OTA JS code…